Index: /extensions/piwishack/doc/LisezMoi.txt
===================================================================
--- /extensions/piwishack/doc/LisezMoi.txt	(revision 5056)
+++ /extensions/piwishack/doc/LisezMoi.txt	(revision 5057)
@@ -2,4 +2,8 @@
 ===============
   Affiche dans une nouvelle fenêtre des liens sur les images à utiliser lors de l'écriture d'un message.
+  Ne fonctionne pas avec le navigateur Chrome.
+  Accessible que pour le webmaster. Possibilité d'en donner l'accès à tous en allant voir le forum.
+  
+  http://fr.piwigo.org/forum/viewtopic.php?id=16506
 
 Installation:
Index: /extensions/piwishack/doc/Quoi de neuf.txt
===================================================================
--- /extensions/piwishack/doc/Quoi de neuf.txt	(revision 5056)
+++ /extensions/piwishack/doc/Quoi de neuf.txt	(revision 5057)
@@ -39,8 +39,16 @@
 
 v0.2 Disponible le 28-11-2009
-    [Bugtracker, bug 1284, open] Change the pop-up for an other solution
-    [Bugtracker, bug 1293, fixed] Thumbnail link open in new page
+    [Bugtracker, bug 1284, fixed] Change the pop-up for an other solution
+    [Bugtracker, bug 1293, reopened] Thumbnail link open in new page
 
-v0.3 Disponible le Coming soon
-	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
-	[Bugtracker, bug 1371, fixed] Wrong parameters for item 1	
+v0.3 Disponible le 05-03-2010
+    [Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
+    [Bugtracker, bug 1360, open] Plugin removal behavior
+    [Bugtracker, bug 1361, open] External configuration
+    [Bugtracker, bug 1371, fixed] Wrong parameters for item 1
+    [Bugtracker, bug 1386, fixed] Wrong argument for custom field 1
+    [Bugtracker, bug 1447, fixed] Add RU traduction. Thanks to Andrew
+    [Bugtracker, bug 1455, fixed] Problem with the area "Direct link to your file"
+    [Bugtracker, bug 1470, fixed] CSS body align window width
+    [Bugtracker, bug 1480, open] Chrome browser not supported
+    [Bugtracker, bug 1481, open] Returns to the line not valide
Index: /extensions/piwishack/doc/ReadMe.txt
===================================================================
--- /extensions/piwishack/doc/ReadMe.txt	(revision 5056)
+++ /extensions/piwishack/doc/ReadMe.txt	(revision 5057)
@@ -2,4 +2,8 @@
 ===============
   Post in a new window of the bonds on the images to use at the time of the writing of a message.
+  Not compatibility with Chrome Browser
+  Tool only for the webmaster (for everbody possible, see the forum).
+  
+  http://fr.piwigo.org/forum/viewtopic.php?id=16506
 
 Installation:
Index: /extensions/piwishack/doc/What's new.txt
===================================================================
--- /extensions/piwishack/doc/What's new.txt	(revision 5056)
+++ /extensions/piwishack/doc/What's new.txt	(revision 5057)
@@ -39,8 +39,16 @@
 
 v0.2 Disponible le 28-11-2009
-    [Bugtracker, bug 1284, open] Change the pop-up for an other solution
-    [Bugtracker, bug 1293, fixed] Thumbnail link open in new page
+    [Bugtracker, bug 1284, fixed] Change the pop-up for an other solution
+    [Bugtracker, bug 1293, reopened] Thumbnail link open in new page
 
-v0.3 Disponible le Coming soon
-	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
-	[Bugtracker, bug 1371, fixed] Wrong parameters for item 1		
+v0.3 Disponible le 05-03-2010
+    [Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
+    [Bugtracker, bug 1360, open] Plugin removal behavior
+    [Bugtracker, bug 1361, open] External configuration
+    [Bugtracker, bug 1371, fixed] Wrong parameters for item 1
+    [Bugtracker, bug 1386, fixed] Wrong argument for custom field 1
+    [Bugtracker, bug 1447, fixed] Add RU traduction. Thanks to Andrew
+    [Bugtracker, bug 1455, fixed] Problem with the area "Direct link to your file"
+    [Bugtracker, bug 1470, fixed] CSS body align window width
+    [Bugtracker, bug 1480, open] Chrome browser not supported
+    [Bugtracker, bug 1481, open] Returns to the line not valide
Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 5056)
+++ /extensions/piwishack/include/class.inc.php	(revision 5057)
@@ -339,19 +339,39 @@
 	  include_once(PHPWG_ROOT_PATH.'/include/functions_picture.inc.php');
       set_make_full_url();
-
-      foreach ($list as $row)
-      {
-	   /*
-	   Affichage du chemin en clair du lien vers la vue normale.
-	   EXEMPLE
-	   {$ROOT_WAY}{$SRC_IMG|@replace:'./':''}
-	   */
-	    $S .= get_absolute_root_url().
-		  str_replace('./', '', get_image_url($row));
-		$S .= '\n\n';
-      }
+	  
+	  $page_name = script_basename();
+	  if ( $page_name == 'picture') 
+	  {
+        foreach ($list as $row)
+        {
+	     /*
+	     Affichage du chemin en clair du lien vers la vue normale.
+	     EXEMPLE
+	     {$ROOT_WAY}{$SRC_IMG|@replace:'./':''}
+	     */
+	      $S .= get_absolute_root_url().
+		    str_replace('./', '', get_image_url($row));
+		  $S .= '\n\n';
+        }
 
       unset_make_full_url();
-    }
+      }
+	else
+	  {
+        foreach ($list as $row)
+        {
+	     /*
+	     Affichage du chemin en clair du lien vers la vue normale.
+	     EXEMPLE
+	     {$ROOT_WAY}{$SRC_IMG|@replace:'./':''}
+	     */
+	      $S .= get_image_url($row);
+		  $S .= '\n\n';
+        }
+	  }
+
+      unset_make_full_url();
+	}
+
 
     return $S;
@@ -510,5 +530,6 @@
               'image_file' => $row['file'],
               )).'|'.
-          $lang_info['code'].']\n\n';
+          $lang_info['code'].']';
+	    $S .= '\n\n';
       }
 
@@ -550,5 +571,5 @@
       $js = '
   <script type="text/javascript">
-    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=843,width=1044,menubar=no,resizable=yes,scrollbars=yes,status=no");';
+    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=843,width=1220,menubar=no,resizable=yes,scrollbars=yes,status=no");';
 
     if ($this->to_close)
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 5056)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 5057)
@@ -27,5 +27,5 @@
 $lang['text_intro_normal_view'] 	= 'Viewing the normal view.';
 $lang['Post_on_a_website_dd'] 		= 'Share the normal view (clickable) sites. HTML tags.';
-$lang['Post_a_direct_link'] 		= 'Direct links to your file.';
+$lang['Post_a_direct_link'] 		= 'Direct link to your file.';
 $lang['Export_Perso_configurated'] = 'Share your images';
 $lang['Partage_me'] 				= 'Share your photo according to pre-defined conditions.';
Index: /extensions/piwishack/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 5056)
+++ /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 5057)
@@ -19,5 +19,5 @@
 // +-----------------------------------------------------------------------+
 
-// Thanks to andrew@withsound.ru
+// Thanks to Andrew
 
 $lang['open_window_piwishack'] 	= 'Открыт окно PiwiShack.';
Index: /extensions/piwishack/template/controller.css
===================================================================
--- /extensions/piwishack/template/controller.css	(revision 5056)
+++ /extensions/piwishack/template/controller.css	(revision 5057)
@@ -6,5 +6,5 @@
 }
 BODY#thePiwiShackControllerPage {
-	 min-width: 0;
+	 max-width: 1190px;
 }
 TEXTAREA {