Index: branches/2.0/plugins/add_index/language/hu_HU/description.txt
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/description.txt	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/description.txt	(revision 5069)
@@ -0,0 +1,1 @@
+Hozzáad index.php fájl az összes alkönyvtár a helyi galériák képek.
Index: branches/2.0/plugins/add_index/language/hu_HU/help/advanced_feature.html
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/help/advanced_feature.html	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/help/advanced_feature.html	(revision 5069)
@@ -0,0 +1,7 @@
+<p>AddIndex bövítmény feladata:</p>
+<ul>
+  <li>
+    <strong>"index" fájl hozzáadása (vagy módosítása) a helyi oldalakhoz:</strong>
+    Felülírja vagy átmásolja az ./include/index.php fájlt az összes alkönyvtárba (Galéria helyi oldalak).
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/hu_HU/help/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/help/index.php	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/help/index.php	(revision 5069)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/hu_HU/help/site_manager.html
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/help/site_manager.html	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/help/site_manager.html	(revision 5069)
@@ -0,0 +1,7 @@
+<p>AddIndex bövítmény feladata:</p>
+<ul>
+  <li>
+    <strong>"index" fájl hozzáadása helyi oldalakhoz:</strong>
+    Bemásolja az ./include/index.php fájlt az összes alkönyvtárba helyi honlapon.
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/hu_HU/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/index.php	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/index.php	(revision 5069)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/hu_HU/plugin.lang.php
===================================================================
--- branches/2.0/plugins/add_index/language/hu_HU/plugin.lang.php	(revision 5069)
+++ branches/2.0/plugins/add_index/language/hu_HU/plugin.lang.php	(revision 5069)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Add "index" fájl';
+$lang['Advanced_Add_Index'] = 'Hozzáadja vagy felülírja az "index" fájlt a helyi oldalakon';
+$lang['Manager_Add_Index'] = 'add "index"';
+
+$lang['add_index_file_copied'] = '%s másolva';
+$lang['add_index_file_not_copied'] = '%s nincs másolva';
+$lang['add_index_not_local_site'] = '%s [%d] egy távoli fájl, nem kompatibilis add "index" fájl';
+$lang['add_index_nb_copied_file'] = '%d fájl másolva';
+$lang['add_index_nb_copied_files'] = '%d fájl másolva';
+$lang['add_index_nb_skipped_file'] = '%d fájl kihagyva';
+$lang['add_index_nb_skipped_files'] = '%d fájl kihagyva';
+$lang['add_index_nb_not_copied_file'] = '%d fájl nincs másolva';
+$lang['add_index_nb_not_copied_files'] = '%d fájl nincs másolva';
+$lang['add_index_src_file_dont_exists'] = 'A forrás fájl %s nem létezik, nem lehet másolni a fájlt';
+
+?>