Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5073)
@@ -72,12 +72,12 @@
 
 /* Standby because this may cause too many problems with (;) in text fields */
-//$toolbar = 'Basic';
-//$width = '750px';
-//$height = '300px';
-//$areas = array();
-//array_push( $areas,'UAM_MailInfo_Text','UAM_ConfirmMail_Text','UAM_GhostTracker_ReminderText','UAM_ConfirmMail_ReMail_Txt1','UAM_ConfirmMail_ReMail_Txt2');
+$toolbar = 'Basic';
+$width = '750px';
+$height = '300px';
+$areas = array();
+array_push( $areas,'UAM_MailInfo_Text','UAM_ConfirmMail_Text','UAM_GhostTracker_ReminderText','UAM_ConfirmMail_ReMail_Txt1','UAM_ConfirmMail_ReMail_Txt2');
  
-//if (function_exists('set_fckeditor_instance'))
-//  set_fckeditor_instance($areas, $toolbar, $width, $height);
+if (function_exists('set_fckeditor_instance'))
+  set_fckeditor_instance($areas, $toolbar, $width, $height);
 
 
@@ -107,5 +107,5 @@
 
 /* Control of semicolons - Replaced by dots - Warning message is displayed */    
-    if ((preg_match($pattern, $_POST['UAM_MailInfo_Text'])) or (preg_match($pattern, $_POST['UAM_GhostTracker_ReminderText'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_Text'])))
+/*    if ((preg_match($pattern, $_POST['UAM_MailInfo_Text'])) or (preg_match($pattern, $_POST['UAM_GhostTracker_ReminderText'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_Text'])))
     {
       if (preg_match($pattern, $_POST['UAM_MailInfo_Text']))
@@ -128,5 +128,5 @@
       
       array_push($page['errors'], l10n('mail_text_error'));
-    }
+    }*/
 
     /* Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them */
@@ -179,5 +179,5 @@
 
 /* Control of semicolons - Replaced by dots - Warning message displayed */
-    if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt1'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt2'])))
+/*    if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt1'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt2'])))
     {
       if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt1'])))
@@ -195,5 +195,5 @@
       
       array_push($page['errors'], l10n('mail_text_error'));
-    }
+    }*/
 
 	  $newconf_UAM_ConfirmMail = array (
Index: /extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5073)
@@ -123,5 +123,4 @@
           </li>
 {/if}
-<!--
 {if 'FCK_PATH'|@defined}
   <div style="text-align:right;">
@@ -129,5 +128,4 @@
   </div>
 {/if}
--->
         </ul>
 
@@ -157,5 +155,4 @@
           </li>
 {/if}
-<!--
 {if 'FCK_PATH'|@defined}
   <div style="text-align:right;">
@@ -163,5 +160,4 @@
   </div>
 {/if}
--->
         </ul>
 
@@ -228,5 +224,4 @@
         </li>
 {/if}
-<!--
 {if 'FCK_PATH'|@defined}
   <div style="text-align:right;">
@@ -234,5 +229,4 @@
   </div>
 {/if}
--->
 
 {if $UAM_CONFIRMMAIL_REMAIL_TRUE}
@@ -251,5 +245,4 @@
         </li>
 {/if}
-<!--
 {if 'FCK_PATH'|@defined}
   <div style="text-align:right;">
@@ -257,5 +250,4 @@
   </div>
 {/if}
--->
         </ul>
       </ul>
@@ -295,5 +287,4 @@
           </li>
 {/if}
-<!--
 {if 'FCK_PATH'|@defined}
   <div style="text-align:right;">
@@ -301,5 +292,4 @@
   </div>
 {/if}
--->
         </ul>
     
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5073)
@@ -180,60 +180,4 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Deaktivieren (Standard)';
 
-$lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A &quot;Guest&quot; arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
-
 $lang['Tab_UserManager'] = 'Tracking Validierungen';
 
@@ -269,4 +213,42 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Aktivieren';
 $lang['UAM_Admin_ConfMail_false'] = '  Deaktivieren (Standard)';
+$lang['UAM_Tips1'] = 'Anmeldungen mit E-Mail Validierung und Warnmeldung auf der Piwigo\'s Homepage';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Tore:<br>
+            - Bei seiner Ankunft in der Galerie: Unterrichtung der Besucher, dass er sich registrieren um Zugang private Fotos<br>
+            - Bei der Registrierung: Erzeugen Sie eine E-Mail Validierung mit direkter Verbindung, sie dem neuen Anwender seiner Nicht-Validierung und Integration von ihm mit der Gruppe "Warten"<br>
+            - Bei der Validierung: Switch automatisch zur Gruppe "Warten" der Gruppe "Validiert", die den Zugang zu privaten Gruppen bietet<br><br>
+            <span style="font-style:italic">Warnung: Im Standard-Betrieb, der "Gast" sieht nur den öffentlichen Kategorien, ohne Angaben Nachricht.</span>
+            </li><br><br>
+            <li>
+Voraussetzung:<br>
+- Eine Galerie mit allen oder einigen privaten Kategorien, sichtbar nur durch registrierte Benutzer<br>
+- Mindestens 2 der folgenden Piwigo Nutzergruppen: "Warten", ohne die Erlaubnis der privaten Gruppen und "Validiert" mit allen Berechtigungen für den privaten Kategorien<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, für das Hinzufügen eines Moduls Art "Personal Block"<br>
+- Optional können Sie das Plugin Extended Description Multi-Sprachen<br>
+            </li><br><br>
+              <li>
+Etappen:<br><br>
+A. In plugin NBC_UAM:
+              <ol>
+                <li>Aktivieren Sie Anmeldebestätigung</li>
+                <li>Geben Sie den Text für weitere Erklärung, die angebracht werden, um Anmeldebestätigung mail sendet. Wenn das Plugin Extended Description aktiviert ist, können die Sprach-Tags verwendet werden</li>
+                <li>Wählen Sie das "Warten"-Gruppe unter "Für Anwender, die noch nicht validiert ihrer Eintragung"</li>
+                <li>Wählen Sie das "Validiert"-Gruppe unter "Für Anwender, die ihre Anmeldung bestätigt haben"</li>
+                <li>Speichern Sie das Plugin-Konfiguration</li>
+              </ol>
+              </li><br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Fügen Sie ein neues Modul Typ "Personal-Block: Zeigt einen Block Personal (z. B. eine redaktionelle)"</li>
+                <li>Konfigurieren Sie das Modul unter Angabe der Titel (zB "Anmeldung bis Validierung") und seine Beschreibung, und aktivieren Sie nur "Warten" in der Liste der Gruppen erlaubt</li>
+                <li>Kompletten Inhalt des Moduls mit der Meldung Informationen, die den Benutzern angezeigt werden nicht validiert. Als NBC_UAM kann Markup-Sprachen verwendet werden, wenn das Plugin Extended Description aktiviert ist</li>
+                <li>Check "Display das Modul auf der Homepage der Website"</li>
+                <li>Überprüfen Sie die Konfiguration des Moduls</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5073)
@@ -181,58 +181,4 @@
 
 $lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
 
 $lang['Tab_UserManager'] = 'Tracking validations';
@@ -269,4 +215,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Enable';
 $lang['UAM_Admin_ConfMail_false'] = ' Disable (default)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goals:<br>
+            - On his arrival at the gallery: To inform the visitor that he has to register to access private photos<br>
+            - At registration: Generate an email validation with direct link, inform the new user of its non-validation and integrate him to the group "Waiting"<br>
+            - At validation: Switch automatically group "Waiting" to group "Validated", which provides access to private categories<br><br>
+            <span style="font-style:italic">Recall: In standard operation, the "Guest" only sees the public categories, without information message.</span>
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, for adding a module type "Personal Block"<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+              <li>
+Stages:<br><br>
+A. In plugin NBC_UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
+                <li>Select the "Validated" group under "For users who have validated their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+              </li><br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Add a new module type "Personal block: Shows a block staff (eg an editorial)"</li>
+                <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Complete content of the module with the message information to be displayed to users not validated. As NBC_UAM, languages markup may be used if the plugin is enabled Extended Description</li>
+                <li>Check "Display the module on the homepage of the site"</li>
+                <li>Validate the configuration of the module</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5073)
@@ -180,59 +180,5 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Desactivar (por defecto)';
 
-$lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo (ingles)';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
+$lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo';
 
 $lang['Tab_UserManager'] = 'Seguimiento de las Validaciones';
@@ -269,4 +215,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Activar';
 $lang['UAM_Admin_ConfMail_false'] = ' Desactivar (por defecto)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goles:<br>
+            - A su llegada a la galería: Para informar al visitante de que tiene que registrarse para acceder a fotos privadas<br>
+            - En el registro: Generar una validación de correo electrónico con enlace directo, informar al nuevo usuario de su falta de validación y de integrarlo al grupo "Espera"<br>
+            - En la validación: cambiar automáticamente de grupo "Espera" al grupo "Validado", que proporciona acceso a categorías particulares<br><br>
+            <span style="font-style:italic">Recuerde: En funcionamiento normal, el "Invitado" sólo ve las categorías de público, sin mensaje de información.</span>
+            </li><br><br>
+            <li>
+Requisito previo:<br>
+- Una galería con todas o algunas categorías privado, visible sólo por los usuarios registrados<br>
+- Al menos 2 siguientes Piwigo grupos de usuarios: "Espera," sin permiso en las categorías de privados, y "Validado" con todos los permisos en las categorías de privados<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, para agregar un tipo de módulo "Personal Block"<br>
+- Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
+            </li><br><br>
+              <li>
+Etapas:<br><br>
+A. En plugin NBC_UAM:
+              <ol>
+                <li>Activar la confirmación de registro</li>
+                <li>Introduzca el texto para la explicación adicional, que se adjunta al correo de confirmación de registro. Si se activa el plugin Extended Description, las etiquetas de idioma se puede utilizar</li>
+                <li>Seleccione la opción "Espera" del grupo en "Para los usuarios que no han validado su registro"</li>
+                <li>Seleccione la opción "Validado" en grupo "Para los usuarios que han validado su registro"</li>
+                <li>Guardar la configuración de plug-in</li>
+              </ol>
+              </li><br>
+B. En plugin PWG Stuffs :
+              <ol>
+                <li>Añadir un tipo de módulo nuevo "bloque de Personal: Muestra una plantilla de bloque (por ejemplo, un editorial)"</li>
+                <li>Configurar el módulo, lo que indica el título (por ejemplo, "en espera de la validación de Registro") y su descripción, y solamente "Espera" en la lista de grupos permitido</li>
+                <li>El contenido completo del módulo con la información del mensaje que se mostrará a los usuarios no validados. Como NBC_UAM, lenguajes de marcas pueden ser utilizados si el plugin Extended Description está activado</li>
+                <li>Active la casilla "Mostrar el módulo en la página principal del sitio"</li>
+                <li>Validar la configuración del módulo</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5073)
@@ -182,58 +182,4 @@
 
 $lang['UAM_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Les ingrédients nécessaires:<br>
-- 2 groupes d\'utilisateurs Piwigo au minimum: &quot;Attente&quot; pour les visiteur en attente de validation et &quot;Validés&quot; pour les visiteurs ayant validé leur inscription<br>
-- Le plugin NBC_UAM<br>
-- Le plugin PWG Stuffs<br>
-- Eventuellement le plugin Extended Description (pour le support multi-langues)
-            </li>
-<br><br>
-            <li>
-La recette:<br>
-            <ul>
-              <li>
-Préambule: On se place dans le cas d\'une galerie privée ou semi-privée (c\'est à dire qu\'une petite partie des catégories est accessible par les Guests et que les inscrits peuvent tout voir). On considère que les plugins requis sont installés (faut-il le rappeler ?).<br><br>
-              </li>
-              <li>
-N\'attribuer au groupe &quot;Attente&quot; aucune permission sur les catégories privées<br><br>
-              </li>
-              <li>
-Attribuer au groupe &quot;Validés&quot; toutes les permissions sur les catégories privées<br><br>
-              </li>
-              <li>
-Dans le plugin NBC_UAM:
-              <ol>
-                <li>Activer la confirmation d\'inscription</li>
-                <li>Dans le champ sous &quot;Personnalisation de l\'email confirmation&quot;, saisir un texte additionnel d\'explication qui sera joint au mail de confirmation d\'inscription. Eventuellement, il est possible d\'utiliser les balises de langues implémentées par le plugin Extended Description</li>
-                <li>Dans la liste &quot;Groupe pour les utilisateurs n\'ayant pas validé leur inscription&quot;, sélectionner le groupe &quot;Attente&quot;</li>
-                <li>Dans la liste &quot;Groupe pour les utilisateurs ayant validé leur inscription&quot;, sélectionner le groupe &quot;Validés&quot;</li>
-                <li>Enregistrer la configuration du plugin</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-Dans le plugin PWG Stuff:
-              <ol>
-                <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
-                <li>Dans la configuration du module, outre son titre (ex : &quot;Inscription en attente de validation&quot;) et sa description, cocher uniquement le groupe autorisé &quot;Attente&quot;</li>
-                <li>Dans le contenu du module, saisir le texte du message d\'information voulu qui ne sera visible que des utilisateurs non validés. Là aussi, possibilité de gérer le multi-langue grâce aux balises d\'Extended Description</li>
-                <li>Valider le module</li>
-                <li>Définir sa place dans l\'affiche de la page principale de la galerie</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              Le résultat:<br>
-              - Un &quot;Guest&quot; arrive sur la galerie, il ne voit rien d\'autre que les catégories publiques et pas de message d\'information.<br>
-              - Il s\'inscrit. Ce qui génère un email de validation et son appartenance automatique au groupe &quot;Attente&quot;.<br>
-              - A l\'issue, il est redirigé sur la page d\'accueil de la galerie avec, cette fois, un message lui indiquant la non-validation de son inscription<br><br>
-              Il reçoit son email de validation, suit le lien prévu à cet effet dans le mail, ce qui le sort du groupe &quot;Attente&quot; et le place dans le groupe &quot;Validés&quot;. En cliquant sur le bouton &quot;Home&quot;, il est alors connecté à la galerie avec accès total aux catégories privées et sans le message d\'information.
-            </li>
-          </ul>';
 
 $lang['Tab_UserManager'] = 'Suivi des validations';
@@ -269,4 +215,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Activer';
 $lang['UAM_Admin_ConfMail_false'] = ' Désactiver (valeur par défaut)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Objectifs:<br>
+            - A son arrivée sur la galerie : Informer le visiteur qu\'il peut s\'inscrire pour accéder aux photos privées<br>
+            - A l\'inscription : Générer un email avec lien direct de validation, informer le nouvel utilisateur de sa non-validation et le rattacher au groupe &quot;Attente&quot;<br>
+            - A la validation : Le passer automatiquement du groupe &quot;Attente&quot; au groupe &quot;Validés&quot;, qui lui permet d\'accéder normalement aux catégories privées<br><br>
+            <span style="font-style:italic">Rappel: En fonctionnement standard, le &quot;Guest&quot; ne voit que les catégories publiques, sans message d\'information.</span>
+            </li><br><br>
+            <li>
+Pré-requis:<br>
+- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
+- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : &quot;Attente&quot;, sans aucune permission sur les catégories privées, et &quot;Validés&quot;, avec toutes les permissions sur les catégories privées<br>
+- Le plugin NBC_UAM<br>
+- Le plugin PWG Stuffs, pour l\'ajout d\'un module de type &quot;Bloc personnel&quot;<br>
+- En option, le plugin Extended Description, pour le support multi-langues<br>
+            </li><br><br>
+              <li>
+Réalisation:<br><br>
+A. Dans le plugin NBC_UAM:
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Saisir un &quot;texte d\'accueil personnalisé&quot; qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
+                <li>Sélectionner le groupe &quot;Attente&quot; à la rubrique &quot;Pour les utilisateurs n\'ayant pas validé leur inscription&quot;</li>
+                <li>Sélectionner le groupe &quot;Validés&quot; à la rubrique &quot;Pour les utilisateurs ayant validé leur inscription&quot;</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+              </li><br>
+B. Dans le plugin PWG Stuffs:
+              <ol>
+                <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
+                <li>Configurer le module, en indiquant son titre (ex : &quot;Inscription en attente de validation&quot;) et sa description, et cocher uniquement&quot;Attente&quot; dans la liste des groupes autorisés</li>
+                <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non validés. Comme dans NBC_UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
+                <li>Cocher &quot;Afficher le module sur la page d\'accueil du site&quot;</li>
+                <li>Valider la configuration du module</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5072)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5073)
@@ -180,59 +180,5 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (predefinito)';
 
-$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del PhpWebGallery (Inglese)';
-/* TODO */$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
+$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del Piwigo (Inglese)';
 
 $lang['Tab_UserManager'] = 'Tracciamento convalide';
@@ -269,4 +215,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Consentire';
 $lang['UAM_Admin_ConfMail_false'] = ' Disattivare (predefinito)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Obiettivi:<br>
+            - Al suo arrivo presso la galleria: a informare il visitatore che si deve registrare per accedere a foto private<br>
+            - Al momento della registrazione: Genera una validazione e-mail con il link diretto, informa il nuovo utente della sua mancata convalida e integrare lo al gruppo "Attesa"<br>
+            - All\'atto della convalida: Switch automaticamente gruppo "Attesa" di gruppo "Validati", che fornisce l\'accesso a categorie privato<br><br>
+            <span style="font-style:italic">Ricordo: In funzionamento standard, il "cliente" vede solo le categorie del pubblico, senza messaggio di informazione.</span>
+            </li><br><br>
+            <li>
+Prerequisito:<br>
+- Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
+- Almeno 2 seguenti gruppi di utenti Piwigo\'s: "Attesa", senza il consenso sulle categorie private, e "Validati" con tutte le autorizzazioni per le categorie privato<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, per aggiungere un tipo di modulo "Personal Block"<br>
+- Facoltativamente, il plugin Extended Description al supporto multi-lingue<br>
+            </li><br><br>
+              <li>
+Tappe:<br><br>
+A. In plugin NBC_UAM:
+              <ol>
+                <li>Consentire la conferma della registrazione</li>
+                <li>Inserisci il testo per ulteriori spiegazioni, che sarà allegato a una mail di conferma della registrazione. Se il plugin Extended Description è attivato, i tag linguaggio può essere utilizzato</li>
+                <li>Selezionare l\'opzione "Attesa" gruppo sotto la voce "Per gli utenti che non hanno convalidato la loro registrazione"</li>
+                <li>Selezionare l\'opzione "Validati" gruppo sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
+                <li>Salvare la configurazione</li>
+              </ol>
+              </li><br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Aggiungere un nuovo tipo di modulo "block personali: mostra personale di blocco (ad esempio, un editoriale)"</li>
+                <li>Configurare il modulo, indicando il titolo (ad esempio, "in attesa di convalida Registrazione") e la sua descrizione, e selezionare solo "Attesa" nella lista dei gruppi ammessi</li>
+                <li>Contenuto completo del modulo con le informazioni di messaggio da visualizzare per gli utenti non convalidato. Come NBC_UAM, linguaggi di markup possono essere utilizzati se il plugin Extended Description è abilitato</li>
+                <li>Check "visualizzare il modulo nella homepage del sito"</li>
+                <li>Convalidare la configurazione del modulo</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>