Index: /branches/2.0/language/hu_HU/admin.lang.php
===================================================================
--- /branches/2.0/language/hu_HU/admin.lang.php	(revision 5073)
+++ /branches/2.0/language/hu_HU/admin.lang.php	(revision 5074)
@@ -51,5 +51,5 @@
 $lang['Actions'] = 'Műveletek';
 $lang['Activate'] = 'Aktiválás';
-$lang['Add/delete a permalink'] = 'Permalink hozzáadása/törlése';
+$lang['Add/delete a permalink'] = 'Közvetlen link hozzáadása/törlése';
 $lang['Add a tag'] = 'Címke hozzáadása';
 $lang['Add a user'] = 'Felhasználó hozzáadása';
@@ -137,10 +137,10 @@
 $lang['Parent category'] = 'Szülõ kategória';
 $lang['Path'] = 'Elérési út';
-$lang['Permalink'] = 'Permalink';
-$lang['Permalink_%s_histo_used_by_%s'] = 'Permalink %s már korábban létrehozott kategóriában %s. Permalink előzmények törlése.';
-$lang['Permalink_name_rule'] = 'A permalinkek a következő karakterekből állhatnak: a-z, A-Z, 0-9, "-" vagy "_". Nem kezdődhetnek számmal vagy "-" karakterrel';
-$lang['Permalink %s is already used by category %s'] = 'Permalink %s már használt kategóriák %s';
-$lang['Permalink history'] = 'Permalink előzmények';
-$lang['Permalinks'] = 'Permalinkek';
+$lang['Permalink'] = 'Közvetlen link';
+$lang['Permalink_%s_histo_used_by_%s'] = 'A(z) %s közvetlen link név korábban létrehozva a(z) %s kategória számára. Törölni kell a közvetlen link előzményekből.';
+$lang['Permalink_name_rule'] = 'A közvetlen linkek a következő karakterekből állhatnak: a-z, A-Z, 0-9, "-" vagy "_". Nem kezdődhetnek számmal vagy "-" karakterrel';
+$lang['Permalink %s is already used by category %s'] = 'A(z) %s közvetlen link név a(z) %s kategória számára lefoglalva. Válasszon másikat!';
+$lang['Permalink history'] = 'Közvetlen link előzmények';
+$lang['Permalinks'] = 'Közvetlen linkek';
 $lang['Permission denied'] = 'Hozzáférés megtagadva';
 $lang['Permission granted thanks to a group'] = 'Hozzáférés engedélyezve, köszöntünk a csoportban';
@@ -162,5 +162,5 @@
 $lang['Represents'] = 'Reprezentál';
 $lang['Save order'] = 'Sorrend mentése';
-$lang['Save to permalink history'] = 'Permalink előzmények mentése';
+$lang['Save to permalink history'] = 'Közvetlen link előzmények mentése';
 $lang['Select at least one category'] = 'Legalább egy kategóriát ki kell választani';
 $lang['Select at least one picture'] = 'Legalább egy fotót ki kell választani';
@@ -617,6 +617,5 @@
 $lang['conf_extents'] = 'Témák (Sablonok)';
 $lang['extend_for_templates'] = 'Kiterjesztett témák';
-$lang['Replacement of original templates'] = 
- 'Az eredeti sablon helyettesítése almappákra';
+$lang['Replacement of original templates'] = 'Az eredeti sablon helyettesítése almappákra';
 $lang['Replacers'] = 'Módosított (Testreszabott sablonok)';
 $lang['Original templates'] = 'Eredeti sablonok';
@@ -655,3 +654,15 @@
 $lang['Purge search history'] = 'Keresési előzmények törlése';
 $lang['Hide'] = 'Elrejt';
+$lang['Cannot delete the old permalink !'] = 'A régi közvetlen link nem törölhető !';
+$lang['Deleted on'] = 'Törölve';
+$lang['Last hit'] = 'Utolsó használat';
+$lang['Hit'] = 'Alkalommal';
+$lang['Password is missing'] = 'Jelszó hiányzik. Kérem írja be a jelszót.';
+$lang['Password confirmation is missing'] = 'Jelszó megerősítése hiányzik. Kérem erősítse meg a választott jelszót.';
+$lang['Email address is missing'] = 'Email cím hiányzik. Kérem írja be az email címet.';
+$lang['Password confirmation error'] = 'Jelszó megerősítése hibás.';
+$lang['Allow users to edit theirs owns comments'] = 'A felhasználók módosíthatják a hozzászólásaikat';
+$lang['Allow users to delete theirs owns comments'] = 'A felhasználók törölhetik a hozzászólásaikat';
+$lang['Email administrators when a comment is modified'] = 'Email az adminisztrátornak, ha egy hozzászólást módosítottak';
+$lang['Email administrators when a comment is deleted'] = 'Email az adminisztrátornak, ha egy hozzászólást töröltek';
 ?>