Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 5078)
+++ /trunk/admin/cat_list.php	(revision 5079)
@@ -133,4 +133,27 @@
     );
 }
+// sort categories alpha-numerically reverse
+else if (isset($_POST['submitOrderAlphaNumReverse']))
+{
+  $query = '
+SELECT id, name
+  FROM '.CATEGORIES_TABLE.'
+  WHERE id_uppercat '.
+    (!isset($_GET['parent_id']) ? 'IS NULL' : '= '.$_GET['parent_id']).'
+;';
+  $result = pwg_query($query);
+  while ($row = pwg_db_fetch_assoc($result))
+  {
+    $categories[ $row['id'] ] = strtolower($row['name']);
+  }
+
+  arsort($categories, SORT_REGULAR);
+  save_categories_order(array_keys($categories));
+
+  array_push(
+    $page['infos'],
+    l10n('Categories ordered alphanumerically reverse')
+    );
+}
 
 // +-----------------------------------------------------------------------+
Index: /trunk/admin/template/goto/cat_list.tpl
===================================================================
--- /trunk/admin/template/goto/cat_list.tpl	(revision 5078)
+++ /trunk/admin/template/goto/cat_list.tpl	(revision 5079)
@@ -42,4 +42,5 @@
     <input class="submit" name="submitOrder" type="submit" value="{'Save order'|@translate}" {$TAG_INPUT_ENABLED}>
     <input class="submit" name="submitOrderAlphaNum" type="submit" value="{'Order alphanumerically'|@translate}" {$TAG_INPUT_ENABLED}>
+	<input class="submit" name="submitOrderAlphaNumReverse" type="submit" value="{'Order alphanumerically reverse'|@translate}" {$TAG_INPUT_ENABLED}>
   </p>
   <ul class="categoryUl">
@@ -86,4 +87,5 @@
     <input class="submit" name="submitOrder" type="submit" value="{'Save order'|@translate}" {$TAG_INPUT_ENABLED}>
     <input class="submit" name="submitOrderAlphaNum" type="submit" value="{'Order alphanumerically'|@translate}" {$TAG_INPUT_ENABLED}>
+	<input class="submit" name="submitOrderAlphaNumReverse" type="submit" value="{'Order alphanumerically reverse'|@translate}" {$TAG_INPUT_ENABLED}>
   </p>
 
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5078)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5079)
@@ -67,5 +67,6 @@
 $lang['Categories authorized thanks to group associations'] = 'Categories authorized thanks to group associations';
 $lang['Categories manual order was saved'] = 'Categories manual order was saved';
-$lang['Categories ordered alphanumerically'] = 'Categories ordered alphanumerically';
+$lang['Categories ordered alphanumerically'] = 'Categories ascending alphanumerically ordered';
+$lang['Categories ordered alphanumerically reverse'] = 'Categories descending alphanumerically ordered';
 $lang['Category elements associated to the following categories: %s'] = 'Category elements associated to the following categories: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Check for upgrade failed for unknown reasons.';
@@ -132,5 +133,6 @@
 $lang['Operating system'] = 'Operating system';
 $lang['Options'] = 'Options';
-$lang['Order alphanumerically'] = 'Order alphanumerically';
+$lang['Order alphanumerically'] = 'Categories sorted in ascending order &dArr;';
+$lang['Order alphanumerically inverse'] = 'Categories sorted in descending order &uArr;';
 $lang['Other private categories'] = 'Other private categories';
 $lang['Page banner'] = 'Page banner';
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5078)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5079)
@@ -67,5 +67,6 @@
 $lang['Categories authorized thanks to group associations'] = 'Catégories accessibles grâce à l\'appartenance aux groupes';
 $lang['Categories manual order was saved'] = 'L\'ordre manuel des catégories a été sauvegardé';
-$lang['Categories ordered alphanumerically'] = 'Catégories ordonnées alphabético-numériquement';
+$lang['Categories ordered alphanumerically'] = 'Catégories triées par ordre croissant alphabético-numériquement.';
+$lang['Categories ordered alphanumerically reverse'] = 'Catégories triées par ordre décroissant alphabético-numériquement.';
 $lang['Category elements associated to the following categories: %s'] = 'Les éléments de la catégorie ont été associés aux catégories suivantes : %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'La vérification de la dernière version sur le serveur a échouée pour une raison inconnue.';
@@ -132,5 +133,6 @@
 $lang['Operating system'] = 'Système d\'exploitation';
 $lang['Options'] = 'Options';
-$lang['Order alphanumerically'] = 'Ordonner alphabético-numériquement';
+$lang['Order alphanumerically'] = 'Trier par ordre croissant &dArr;';
+$lang['Order alphanumerically reverse'] = 'Trier par ordre décroissant &uArr;';
 $lang['Other private categories'] = 'Autres catégories privées';
 $lang['Page banner'] = 'Bannière des pages';