Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5082)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5083)
@@ -11,5 +11,5 @@
 
 /* Mailing */
-$lang['infos_mail %s'] = '%s, di seguito i tuoi dati per accedere alla galleria:';
+$lang['infos_mail %s'] = '%s, di seguito i vostri dati per accedere alla galleria:';
 $lang['User: %s'] = 'Utente: %s';
 $lang['Password: %s'] = 'Password: %s';
@@ -20,42 +20,42 @@
 $lang['title_confirm_mail'] = 'Confermare la vostra iscrizzione';
 $lang['confirm_mail_page_title'] = 'Confermare l\'iscrizzione';
-$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il tuo indirizzo e-mail e per la registrazione sulla galleria. Buona visione!<br><br><br><br>';
+$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il vostro indirizzo e-mail e per la registrazione sulla galleria. Buona visione!<br><br><br><br>';
 
 
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici al caso da vicino:</b> ';
+$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici (escluso maiuscola/minuscola):</b> ';
 $lang['Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio di email proibito:</b> ';
-$lang['Err_audit_advise'] = '<b>è necessario eseguire correzioni per conformarsi alle nuove regole che sono state attivate.<br>Utilizzare un programma per la gestione di database per correggere gli account utente direttamente nella tabella ###_USERS';
-$lang['UAM_Empty Author'] = 'Il campo autore devono essere riempiti per inviare un commento.';
+$lang['Err_audit_advise'] = '<b>Dovete eseguire delle correzioni per rispettare le nuove impostazzioni che avete attivato.<br> Utilizzare un programma per la gestione della base dati per correggere i conti utente direttamente nella tabella ###_USERS';
+$lang['UAM_Empty Author'] = 'Il campo autore deve essere riempito per potere inviare un commento.';
 if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' )
-	$lang['reg_err_login5'] = 'Nome utente esistono già, il nome di richiamo è case insensitive (Shift = Tiny).';
-$lang['reg_err_login6'] = 'Nome utente non deve corrispondere i seguenti caratteri: ';
-$lang['reg_err_login7'] = 'Il tuo provider di posta elettronica è vietato per la registrazione. Vietato provider di posta elettronica sono i seguenti: ';
+	$lang['reg_err_login5'] = 'Nome utente esiste già. Attenzione : il campo è insensibile alle maiuscole/minuscole.';
+$lang['reg_err_login6'] = 'Nome utente non deve contenere in caratteri seguenti: ';
+$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio di email proibito. I dominii preibiti sono i seguenti: ';
 $lang['UAM_empty_pwd'] = '[password vuota]';
-$lang['UAM_no_update_pwd'] = '[profilo aggiornato senza password cambiata]';
+$lang['UAM_no_update_pwd'] = '[profilo aggiornato senza modifica della password]';
 $lang['invalid_pwd'] = 'Nome utente o password non validi!';
-$lang['No_validation_for_Guest'] = '"Guest" conto non è soggetta a convalida';
-$lang['No_validation_for_default_user'] = 'L\'account predefinito non è soggetta a convalida';
-$lang['No_validation_for_Webmaster'] = '"Webmaster" conto non è soggetta a convalida';
-$lang['No_validation_for_your_account'] = 'Il tuo account admin Personnal non è soggetta a convalida';
-$lang['Database_Error'] = '<b><u>Attenzione! Errore di integrità critico nel database.</u></b><br><br>Si prega di verificare l\'integrità della tabella #_user_confirm_mail.';
+$lang['No_validation_for_Guest'] = 'Il conto "Guest" non è soggetto a convalida';
+$lang['No_validation_for_default_user'] = 'Il conto di default non è soggetto a convalida';
+$lang['No_validation_for_Webmaster'] = 'Il conto del "Webmaster" non è soggetto a convalida';
+$lang['No_validation_for_your_account'] = 'Il tuo conto amminstratore non è soggetto a convalida';
+$lang['Database_Error'] = '<b><u>Attenzione! Errore di integrità critico nella base dati.</u></b><br><br>Si prega di verificare l\'integrità della tabella #_user_confirm_mail.';
 
 
 /* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo chiave è stata inviata';
-$lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo chiave sono stati inviati';
+$lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo della chiave è stato inviato';
+$lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo della chiave sono stati inviati';
 $lang['%d_Reminder_Sent'] = '%d messaggio di promemoria è stato inviato';
 $lang['%d_Reminders_Sent'] = '%d messaggi di promemoria sono stati inviati';
 $lang['%d_Validated_User'] = '%d utente convalidato manualmente';
-$lang['%d_Validated_Users'] = '%d utenti convalidato manualmente';
+$lang['%d_Validated_Users'] = '%d utenti convalidati manualmente';
 
 
 /* Action button names */
-$lang['Delete_selected'] = 'Eliminare';
+$lang['Delete_selected'] = 'Cancellare';
 $lang['Mail_without_key'] = 'Promemoria senza chiave';
 $lang['Mail_with_key'] = 'Promemoria con chiave';
-$lang['Force_Validation'] = 'Forzati di convalida';
+$lang['Force_Validation'] = 'Convalida forzata';
 
 
@@ -64,8 +64,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['PasswordTest'] = 'Calcolo punteggio';
+$lang['PasswordTest'] = 'Calcolo del punteggio';
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Ultima visita';
+$lang['LastVisit_Date'] = 'Data ultima visita';
 $lang['Reminder'] = 'E-mail di sollecito';
 $lang['Reminder_Sent_OK'] = 'SI';
@@ -73,17 +73,17 @@
 /* Errors and Warnings */
 $lang['UAM_save_config'] ='Configurazione salvata.';
-$lang['reg_err_login3'] = 'Security: Password è obbligatorio!';
-$lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio sulla scelta password complessità. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
-- Utilizzare le lettere e numeri<br>
-- Usare maiuscole e minuscole<br>
-- Aumentare la sua lunghezza (numero di caratteri)<br>
-Le password punteggio minimo richiesto dall\'amministratore è: ';
-$lang['No_reminder_for_Guest'] = '"Guest" conto non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_default_user'] = 'L\'account predefinito non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_Webmaster'] = '"Webmaster" conto non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_your_account'] = 'Il tuo account admin Personnal non è soggetto a ricevere i promemoria da GhostTracker';
+$lang['reg_err_login3'] = 'Sicurezza: La password è obbligatoria!';
+$lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio basandosi sulla complessità della password scelta. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
+- Utilizzare delle lettere e dei numeri<br>
+- Usare delle maiuscole e delle minuscole<br>
+- Aumentare la lunghezza (numero di caratteri)<br>
+Il punteggio minimo richiesto dall\'amministratore per la password è di : ';
+$lang['No_reminder_for_Guest'] = 'Il conto utente "Guest" non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_default_user'] = 'Il conto utente di default non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_Webmaster'] = 'Il conto utente "Webmaster" non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_your_account'] = 'Il tuo conto amministratore non è soggetto a ricevere dei promemoria dal GhostTracker';
 /* Action button names */
-$lang['audit'] = 'Audit impostazioni';
-$lang['submit'] = 'Salva impostazioni';
+$lang['audit'] = 'Audit delle impostazioni';
+$lang['submit'] = 'Salvare le impostazioni';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
@@ -91,7 +91,7 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 /* Errors and Warnings */
-$lang['GhostTracker_Init_OK'] = 'GhostTracker reset fatto!';
+$lang['GhostTracker_Init_OK'] = 'Inizzializzazione GhostTracker eseguita!';
 /* Action button names */
-$lang['GT_Reset'] = 'Reset Ghost Tracker';
+$lang['GT_Reset'] = 'Reset del GhostTracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
 
@@ -99,5 +99,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.7
 /* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Attenzione!</b> - Punto e virgola (;) non sono ammessi in addtionnal testo e-mail. Questo carattere è stato automaticamente sostituito da un punto (.). Per informazioni, il testo modificato(s) è (sono) indicato in rosso nel campo corrispondente (s). Vi preghiamo di controllare lo(li) fuori.';
+$lang['mail_text_error'] = '<b>Attenzione!</b> - Il punto e virgola (;) non è ammesso nel testo addizionale della e-mail. Questo carattere è stato automaticamente sostituito da un punto (.). Per informazione, il(i) testo(i) modificato(i) è(sono) visualzzato(i) in rosso nel(nei) campo(i) corrispondente(i). Vi preghiamo di controllarlo(li).';
 // --------- End: New or revised $lang ---- from version 2.12.7
 