Index: extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5085)
@@ -27,9 +27,4 @@
 
 $UAM_Password_Test_Score = 0;
-$UAM_MailInfo_Error_Txt = false;
-$UAM_ConfirmMail_Error_Txt = false;
-$UAM_Reminder_Error_Txt = false;
-$UAM_ConfirmMail_Error_Txt1 = false;
-$UAM_ConfirmMail_Error_Txt2 = false;
 $UAM_Exclusionlist_Error = false;
 
@@ -118,29 +113,5 @@
 
 
-/* Control of semicolons - Replaced by dots - Warning message is displayed */    
-/*    if ((preg_match($pattern, $_POST['UAM_MailInfo_Text'])) or (preg_match($pattern, $_POST['UAM_GhostTracker_ReminderText'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_Text'])))
-    {
-      if (preg_match($pattern, $_POST['UAM_MailInfo_Text']))
-      {
-        $_POST['UAM_MailInfo_Text'] = preg_replace($pattern, $replacement, $_POST['UAM_MailInfo_Text']);
-        $UAM_MailInfo_Error_Txt = true;
-      }
-      
-      if (preg_match($pattern, $_POST['UAM_ConfirmMail_Text']))
-      {
-        $_POST['UAM_ConfirmMail_Text'] = preg_replace($pattern, $replacement, $_POST['UAM_ConfirmMail_Text']);
-        $UAM_ConfirmMail_Error_Txt = true;
-      }
-      
-      if (preg_match($pattern, $_POST['UAM_GhostTracker_ReminderText']))
-      {
-        $_POST['UAM_GhostTracker_ReminderText'] = preg_replace($pattern, $replacement, $_POST['UAM_GhostTracker_ReminderText']);
-        $UAM_Reminder_Error_Txt = true;
-      }
-      
-      array_push($page['errors'], l10n('mail_text_error'));
-    }*/
-
-    /* Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them */
+/* Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them */
     if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
     {
@@ -190,22 +161,4 @@
     $_POST['UAM_ConfirmMail_ReMail_Txt2'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_ReMail_Txt2']));
 
-/* Control of semicolons - Replaced by dots - Warning message displayed */
-/*    if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt1'])) or (preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt2'])))
-    {
-      if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt1'])))
-      {
-        $_POST['UAM_ConfirmMail_ReMail_Txt1'] = preg_replace($pattern, $replacement, $_POST['UAM_ConfirmMail_ReMail_Txt1']);
-        $UAM_ConfirmMail_Error_Txt1 = true;
-      }
-      
-      if ((preg_match($pattern, $_POST['UAM_ConfirmMail_ReMail_Txt2'])))
-      {
-        $_POST['UAM_ConfirmMail_ReMail_Txt2'] = preg_replace($pattern, $replacement, $_POST['UAM_ConfirmMail_ReMail_Txt2']);
-        
-        $UAM_ConfirmMail_Error_Txt2 = true;
-      }
-      
-      array_push($page['errors'], l10n('mail_text_error'));
-    }*/
 
 	  $newconf_UAM_ConfirmMail = array (
@@ -378,7 +331,4 @@
     'UAM_ADMINCONFMAIL_FALSE'        => $conf_UAM[21]=='false' ?  'checked="checked"' : '' ,
 		'UAM_PASSWORD_TEST_SCORE'        => $UAM_Password_Test_Score,
-    'UAM_ERROR_REPORTS1'             => $UAM_MailInfo_Error_Txt,
-    'UAM_ERROR_REPORTS2'             => $UAM_ConfirmMail_Error_Txt,
-    'UAM_ERROR_REPORTS3'             => $UAM_Reminder_Error_Txt,
     'UAM_ERROR_REPORTS4'             => $UAM_Exclusionlist_Error,
 		'UAM_CONFIRMMAIL_TIMEOUT_TRUE'	 => $conf_UAM_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
@@ -389,6 +339,4 @@
     'UAM_CONFIRMMAIL_REMAIL_TXT1'		 => $conf_UAM_ConfirmMail[2],
     'UAM_CONFIRMMAIL_REMAIL_TXT2'		 => $conf_UAM_ConfirmMail[4],
-    'UAM_ERROR_REPORTS1'             => $UAM_ConfirmMail_Error_Txt1,
-    'UAM_ERROR_REPORTS2'             => $UAM_ConfirmMail_Error_Txt2,
     )
   );
Index: extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5085)
@@ -109,13 +109,7 @@
         <ul>
 {if $UAM_MAIL_INFO_TRUE}
-  {if $UAM_ERROR_REPORTS1}      
-          <li><label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">{'UAM_MailInfo_Text'|@translate}</label><br><br>
-            <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" style="color: red"  {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea><br><br>
-          </li>
-  {else}
-          <li><label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">{'UAM_MailInfo_Text'|@translate}</label><br><br>
-            <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea><br><br>
-          </li>
-  {/if}
+        <li><label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">{'UAM_MailInfo_Text'|@translate}</label><br><br>
+          <textarea name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea><br><br>
+        </li>
 {else}
           <li><label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">{'UAM_MailInfo_Text'|@translate}</label><br><br>
@@ -143,13 +137,7 @@
           </li>
 {if $UAM_CONFIRM_MAIL_TRUE}
-  {if $UAM_ERROR_REPORTS2}     
-          <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UAM_ConfirmMail_Text'|@translate}</label><br><br>
-            <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea><br><br>
-          </li>
-  {else}
           <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UAM_ConfirmMail_Text'|@translate}</label><br><br>
             <textarea name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea><br><br>
           </li>
-  {/if}
 {else}
           <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UAM_ConfirmMail_Text'|@translate}</label><br><br>
@@ -214,13 +202,7 @@
         <ul>
 {if $UAM_CONFIRMMAIL_REMAIL_TRUE}
-  {if $UAM_ERROR_REPORTS1}
-        <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
-          <textarea name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
-        </li>
-  {else}
         <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
           <textarea name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
         </li>
-  {/if}
 {else}
         <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
@@ -237,13 +219,7 @@
 
 {if $UAM_CONFIRMMAIL_REMAIL_TRUE}
-  {if $UAM_ERROR_REPORTS2}
-        <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
-          <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
-        </li>
-  {else}		
         <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
           <textarea name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
         </li>
-  {/if}
 {else}
         <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UAM_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
@@ -281,13 +257,7 @@
         <ul>
 {if $UAM_GHOSTRACKER_TRUE}
-  {if $UAM_ERROR_REPORTS3}
-          <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
-            <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
-          </li>
-  {else}
           <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
             <textarea name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
           </li>
-  {/if}
 {else}
           <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label><br><br>
Index: extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5085)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Geist Tracker neu stellen';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Warnung!</b> - Semikolon (;) sind nicht im addtionnal E-Mail-Text erlaubt. Diese Zeichen wurden automatisch durch einen Punkt ersetzt (.). Für Informationen, ist der geänderte Text (n) (sind) in Rot in das entsprechende Feld (s dargestellt). Sie bitte, ob es (sie) aus.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
Index: extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5085)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Reset Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Warning!</b> - Semicolons (;) are not allowed in addtionnal email text. This Character have been automatically replaced by a dot (.). For information, the amended text(s) is(are) shown in red in the corresponding field(s). Please, check it(them) out.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
Index: extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5085)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Perdí Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>¡Advertencia!</b> - Punto y coma (;) no están permitidos en el texto del mensaje addtionnal. Este carácter se han sustituido automáticamente por un punto (.). Para más información, el texto modificado(s) es(son) se muestra en rojo en el campo correspondiente(s). Por favor, compruebe que (ellos) hacia fuera.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
Index: extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5085)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Initialisation Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Attention!</b> - Le point-virgule (;) n\'est pas autorisé dans le texte additionnel des emails. Ce caractère a été automatiquement remplacé par un point (.). Pour information, le(s) texte(s) modifié(s) est(sont) affiché(s) en rouge dans le(s) champ(s) correspondant(s). Veuillez le(s) vérifier.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
Index: extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5084)
+++ extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5085)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Reset del GhostTracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Attenzione!</b> - Il punto e virgola (;) non è ammesso nel testo addizionale della e-mail. Questo carattere è stato automaticamente sostituito da un punto (.). Per informazione, il(i) testo(i) modificato(i) è(sono) visualzzato(i) in rosso nel(nei) campo(i) corrispondente(i). Vi preghiamo di controllarlo(li).';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 