Index: extensions/NBC_UserAdvManager/branches/2.14/language/es_ES/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.14/language/es_ES/plugin.lang.php	(revision 5065)
+++ extensions/NBC_UserAdvManager/branches/2.14/language/es_ES/plugin.lang.php	(revision 5087)
@@ -95,10 +95,4 @@
 $lang['GT_Reset'] = 'Perdí Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>¡Advertencia!</b> - Punto y coma (;) no están permitidos en el texto del mensaje addtionnal. Este carácter se han sustituido automáticamente por un punto (.). Para más información, el texto modificado(s) es(son) se muestra en rojo en el campo correspondiente(s). Por favor, compruebe que (ellos) hacia fuera.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
@@ -180,59 +174,5 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Desactivar (por defecto)';
 
-$lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo (ingles)';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
+$lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo';
 
 $lang['Tab_UserManager'] = 'Seguimiento de las Validaciones';
@@ -269,4 +209,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Activar';
 $lang['UAM_Admin_ConfMail_false'] = ' Desactivar (por defecto)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goles:<br>
+            - A su llegada a la galería: Para informar al visitante de que tiene que registrarse para acceder a fotos privadas<br>
+            - En el registro: Generar una validación de correo electrónico con enlace directo, informar al nuevo usuario de su falta de validación y de integrarlo al grupo "Espera"<br>
+            - En la validación: cambiar automáticamente de grupo "Espera" al grupo "Validado", que proporciona acceso a categorías particulares<br><br>
+            <span style="font-style:italic">Recuerde: En funcionamiento normal, el "Invitado" sólo ve las categorías de público, sin mensaje de información.</span>
+            </li><br><br>
+            <li>
+Requisito previo:<br>
+- Una galería con todas o algunas categorías privado, visible sólo por los usuarios registrados<br>
+- Al menos 2 siguientes Piwigo grupos de usuarios: "Espera," sin permiso en las categorías de privados, y "Validado" con todos los permisos en las categorías de privados<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, para agregar un tipo de módulo "Personal Block"<br>
+- Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
+            </li><br><br>
+              <li>
+Etapas:<br><br>
+A. En plugin NBC_UAM:
+              <ol>
+                <li>Activar la confirmación de registro</li>
+                <li>Introduzca el texto para la explicación adicional, que se adjunta al correo de confirmación de registro. Si se activa el plugin Extended Description, las etiquetas de idioma se puede utilizar</li>
+                <li>Seleccione la opción "Espera" del grupo en "Para los usuarios que no han validado su registro"</li>
+                <li>Seleccione la opción "Validado" en grupo "Para los usuarios que han validado su registro"</li>
+                <li>Guardar la configuración de plug-in</li>
+              </ol>
+              </li><br>
+B. En plugin PWG Stuffs :
+              <ol>
+                <li>Añadir un tipo de módulo nuevo "bloque de Personal: Muestra una plantilla de bloque (por ejemplo, un editorial)"</li>
+                <li>Configurar el módulo, lo que indica el título (por ejemplo, "en espera de la validación de Registro") y su descripción, y solamente "Espera" en la lista de grupos permitido</li>
+                <li>El contenido completo del módulo con la información del mensaje que se mostrará a los usuarios no validados. Como NBC_UAM, lenguajes de marcas pueden ser utilizados si el plugin Extended Description está activado</li>
+                <li>Active la casilla "Mostrar el módulo en la página principal del sitio"</li>
+                <li>Validar la configuración del módulo</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>